# Unreal Bridge

The World Creator Bridge for Unreal Engine allows you to seamlessly import your terrain creations into Unreal Engine for use in your game projects. For version 2.0 of the bridge we have completely overhauled everything about the bridge. It now comes with support for object import using PCG and an auto terrain setup that finds the ideal settings depending on the size of the terrain you want to sync.

{% hint style="warning" %}
We recommend a max pixel resolution of 16x16k. 32x32k should also work, above that we haven't tested and is really not recommended in terms of performance.
{% endhint %}

## **Installation**

* Close Unreal Engine if it's open.
* Go to your Unreal project folder and create a folder called **Plugins** in your project root (if you don't have one already).
* Copy the **WorldCreatorBridge** folder from the unzipped bridge file into the **Plugins** folder.

The Bridge dialog is located under **Window -> World Creator Bridge**.

## **Parameters**

### XML

In this section you can link your synced terrain. Once you have selected a bridge file press the **Read XML Data** button to auto import the ideal settings.&#x20;

{% hint style="info" %}
Before any operation in the bridge make sure to press the **Read XML Data** button since that data is required for both the landscape and object import.
{% endhint %}

### Import Parameters

* **Asset Name**

  Specify the prefix of the terrain gameobject in the level.

* **Import Materials**

  If this value is True, the bridge imports materials from World Creator. Set this to False if you only want to import the landscape and do everything regarding the material. \
  Keep in mind that if Import Layers is enabled you will still get the material layers as landscape layers on your landscape.

* **Import Layers**

  When enabled, the bridge will import individual material layers from World Creator as landscape layers and with a blending landscape material. If disabled a single Texturemap will be used for the whole terrain.

* **Reset Terrain on Resync**

  Deletes and recreates the terrain on resync. Disable this if you just changed your heights and want to keep existing **Edit Layers** through the sync.

### Landscape Parameters

* **Section Size**

  The number of quads in a single section (UE landscape parameter).

* **Sections per Component**

  The number of sections in a single component (UE landscape parameter).

* **Landscape Scale**

  The scale of the landscape, this influences the landscape and the objects that are imported using the bridge.

* **World Partition**

  Enables World Partition for the landscape.

* **Grid Size**

  Number of components per landscape streaming proxies per area (UE WP parameter).

* **World Scale**

  Number of components per landscape world partition region per axis (UE WP parameter).

### Objects

* **Reimport Objects**

  Reimports all imported objects on sync. Disable this to keep modifications made to your auto imported sync objects.

* **Reset Placement**

  Clears all placement in the scene. Recreates the pcg for detail/instance meshes, refreshes the pointclouds and cleans the detail landscape layer maps used to paint dense objects onto the terrain.

## **Workflow Example**

{% embed url="<https://www.youtube.com/watch?t=7s&v=TC1TkvmLiEg>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.world-creator.com/reference/export/bridge-tools/unreal-bridge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
